function input(){
	if(inFileName==nil)
		inFile = openRead("kp_100_1.txt");
	else
		inFile = openRead(inFileName);
	
	nbItems = readInt(inFile);
	for [i in 1..nbItems] weights[i] = readInt(inFile);
	for [i in 1..nbItems] values[i] = readInt(inFile);
	knapsackBound = readInt(inFile);
}

function model(){
	// 0-1 decisions
	for [i in 1..nbItems] x[i] <- bool();
  
	// weight constraint
	knapsackWeight <- sum[i in 1..nbItems](weights[i] * x[i]);
	constraint knapsackWeight <= knapsackBound;
  
	// maximize value
	knapsackValue <- sum[i in 1..nbItems](values[i] * x[i]);
	
	maximize knapsackValue;
}

function param(){
	if(lsTimeLimit==nil)
		lsTimeLimit=5;
}

function output(){
	/*println("Valeur du sac: " + getValue(knapsackValue));
	print("Elements du sac: ");
	for[i in 1..nbItems]{
		if(getValue(x[i]) == 1)
			print(i + ", ");
	}
	println();*/
}